WebService::MusicBrainz::Query(3)

NAME
WebService::MusicBrainz::Query

SYNOPSIS

ABSTRACT
WebService::MusicBrainz - Interface with the MusicBrainz web service.

DESCRIPTION
This module's relationship with WebService::MusicBrainz::Artist, WebService::MusicBrainz::Release, and WebService::MusicBrainz::Track is a "has a" relationship. This module will not be instantiated by any client but will only be used internally within the Artist, Release, or Track classes.

METHODS

  new()
This method is the constructor and it will call for initialization. An optional HOST parameter can be passed to select a different mirrored server.

  set_url_params()
Define a list of valid URL query parameters.

  set_inc_params()
Define a list of valid arguments for the "inc" URL query parameter.

  get()
Perform the URL request (GET) and if success, then return a WebService::MusicBrainz::Response object. Otherwise die.

AUTHOR

Bob Faist <bob.faist@gmail.com>

COPYRIGHT AND LICENSE
Copyright 2006-2009 by Bob Faist

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
http://wiki.musicbrainz.org/XMLWebService